# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXSetSeriesMember

Function

Adds an indexed member to a Series Object.

Syntax
`
#include <dx/dx.h>
`

Series DXSetSeriesMember(Series s, int n, double position, Object o)

Functional Details

Adds the Object `o` as the `n`th member (as specified by the zero-based index `n`) to the Series `s`. It also sets the Series position to the floating-point value `position`. A Series is intended to represent a single Field sampled across some parameter, such as time or temperature (`position` contains the value of this sampled parameter).

Generally, members of a Series `s` must be added sequentially, with indices starting at 0. If, however, an already existing index is given in `n`, then that member in `s` will be replaced by the Object `o`. The type of a Series is set the first time a typed member is added; subsequent members are required to match this type.

The index `n` provides a convenient mechanism for indexing the members of a Series. The position value is actually a piece of metadata to be associated with each member of the Series, which when used with the values associated with the other members, provides a means of generating intermember data (e.g., when using the Streakline module).

`DXSetSeriesMember` does not enforce any restrictions on the Series `position` value; duplicate or non-monotonic values can be set. However, many Realization modules require the position values to form a monotonic sequence, and if the value does represent time, some modules also require the values to be positive.

For an example of one use of Series, see Streakline in IBM Visualization Data Explorer User's Reference.

Return Value

Returns `NULL` and sets an error code.

See Also

`DXGetMemberCount, DXGetSeriesMember, DXNewSeries, DXSetEnumeratedMember, DXSetMember`

Streakline in IBM Visualization Data Explorer User's Reference

"Series Groups".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]